apiVersion: apps/v1
kind: Deployment
metadata:
  name: $DEPLOY_AS-deployment
  namespace: $TARGET_NAMESPACE
spec:
  replicas: 1
  revisionHistoryLimit: 3
  selector:
    matchLabels:
      app: $DEPLOY_AS
  template:
    metadata:
      labels:
        app: $DEPLOY_AS
        role: rolling-update
    spec:
      containers:
      - name: $DEPLOY_AS
        image: $DEPLOY_IMAGE
        imagePullPolicy: Always
        ports:
        - containerPort: 8080
        env:
          - name: BUILD_TAG
            value: $CONSTRUCTED_TAG
          # Provided by secrets and brought in in the envFrom setting below but described here for completeness
          # - name: KEYCLOAK_REALM
          #  value: abc
          # - name: KEYCLOAK_URL
          #   value: http://keycloak.shared:8080
        envFrom:
          - secretRef:
              name: dabdata
        resources:
          limits:
            cpu: "4"
            memory: "1024Mi"
          requests:
            cpu: "2"
            memory: "512Mi"
  strategy:
    type: RollingUpdate
    rollingUpdate:
      maxSurge: 1
      maxUnavailable: 0
---
apiVersion: v1
kind: Service
metadata:
  name: $DEPLOY_AS-service
  namespace: $TARGET_NAMESPACE
  labels:
    app: $DEPLOY_AS
spec:
  ports:
  - name: http
    port: 8080
    targetPort: 8080
  selector:
    app: $DEPLOY_AS

